package com.ssj.service.conch.schoolmaster.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class StudentDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String studentId;                //string	（vipId）学生id
    private String studentName;                //string	学生姓名
    private String patriarchImg;            //string	家长头像
    private String schoolName;                //string	学校名称
    private String grade;                    //string	年级
    private String phone;                    //电话
    private List<String> productList;        //list	已购买的产品服务列表
    private List<String> subjectNameList;              //list	科目列表
    private List<String> characterList;        //list	性格标签集合

    public StudentDto() {
        subjectNameList = new ArrayList<String>();
        productList = new ArrayList<String>();
        characterList = new ArrayList<String>();
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getPatriarchImg() {
        return patriarchImg;
    }

    public void setPatriarchImg(String patriarchImg) {
        this.patriarchImg = patriarchImg;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public List<String> getSubjectNameList() {
        return subjectNameList;
    }

    public void setSubjectNameList(List<String> subjectNameList) {
        this.subjectNameList = subjectNameList;
    }

    public void addSubject (String subject){
        this.subjectNameList.add(subject);
    }

    public List<String> getProductList() {
        return productList;
    }

    public void setProductList(List<String> productList) {
        this.productList = productList;
    }

    public void addProduct (String product) {
        productList.add(product);
    }


    public List<String> getCharacterList() {
        return characterList;
    }

    public void setCharacterList(List<String> characterList) {
        this.characterList = characterList;
    }

    public void addCharacter (String character){
        characterList.add(character);
    }
}
